Skip to content

Update editable field values on a specific version of a document. See also Update Document above.

PUT/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
{major_version}The document major_version_number__v field value.
{minor_version}The document minor_version_number__v field value.
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d "language__v=English" \ -d "product__v=1357662840171" \ -d "audience__c=consumer__c" \ https://myvault.veevavault.com/api/v19.2/objects/documents/534/versions/2/0
{ "responseStatus": "SUCCESS", "id": 534 }

On SUCCESS, Vault updates field values for the specified version of the document and returns the ID of the updated document.